Bug 1848958 (CVE-2020-14195) - CVE-2020-14195 jackson-databind: serialization in org.jsecurity.realm.jndi.JndiRealmFactory
Summary: CVE-2020-14195 jackson-databind: serialization in org.jsecurity.realm.jndi.Jn...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14195
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1848959 1849551 1849552 1850635 1850636 1866715
Blocks: 1848970
TreeView+ depends on / blocked
 
Reported: 2020-06-19 11:43 UTC by Dhananjay Arunesh
Modified: 2020-10-27 12:57 UTC (History)
111 users (show)

Fixed In Version: jackson-databind 2.9.10.5
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in jackson-databind 2.x in versions prior to 2.9.10.5. FasterXML jackson-databind mishandles the interaction between serialization gadgets and typing. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-07-28 19:28:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3192 None None None 2020-07-28 15:57:10 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 12:57:00 UTC

Description Dhananjay Arunesh 2020-06-19 11:43:47 UTC
A vulnerability was found in FasterXML jackson-databind 2.x before 2.9.10.5 mishandles the interaction between serialization gadgets and typing, related to org.jsecurity.realm.jndi.JndiRealmFactory.

References:
https://github.com/FasterXML/jackson-databind/issues/2765

Comment 1 Dhananjay Arunesh 2020-06-19 11:44:49 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1848959]

Comment 4 Chess Hazlett 2020-06-19 16:59:09 UTC
Mitigation:

The following conditions are needed for an exploit, we recommend avoiding all if possible:
* Deserialization from sources you do not control
* enableDefaultTyping()
* @JsonTypeInfo using id.CLASS or id.MINIMAL_CLASS
* org.jsecurity.realm.jndi.JndiRealmFactory in classpath

Comment 15 Yadnyawalk Tale 2020-06-25 11:06:50 UTC
Statement:

While OpenShift Container Platform's elasticsearch plugins do ship the vulnerable component, it doesn't do any of the unsafe things described in https://access.redhat.com/solutions/3279231. We may update the jackson-databind dependency in a future release.

Red Hat OpenStack Platform ships OpenDaylight, which contains the vulnerable jackson-databind. However, OpenDaylight does not expose jackson-databind in a way that would make it vulnerable, lowering the impact of the vulnerability for OpenDaylight. As such, Red Hat will not be providing a fix for OpenDaylight at this time.

The PKI module as shipped in Red Hat Enterprise Linux 8 and Red Hat Satellite 6 does not enable polymorphic deserialization which is a required configuration for the vulnerability to be used, lowering the impact of the vulnerability for the Product. We may update the jackson-databind dependency in a future release.

The version of jackson-databind as shipped in Red Hat Software Collections rh-maven35 is used only while building maven, thus it does not deserialize data coming from untrusted sources, lowering the impact of the vulnerability for the Product.

Comment 16 errata-xmlrpc 2020-07-28 15:57:05 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.7.0

Via RHSA-2020:3192 https://access.redhat.com/errata/RHSA-2020:3192

Comment 17 Product Security DevOps Team 2020-07-28 19:28:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14195

Comment 18 errata-xmlrpc 2020-10-27 12:56:52 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.7 for RHEL 8

Via RHSA-2020:4366 https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.